import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { languageSwitchSelect } from '../util/gtm/tags-collection';

const userClickedLanguage = () => {
  $('.wg-element-wrapper [lang]').click(function () {
    const selectedLanguage = this.attr('lang');

    pushTagToGTM({ ...languageSwitchSelect, value: selectedLanguage });
  });
};

/**
 * languageSwitcher custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const languageSwitcher = (() => ({
  init: function () {
    userClickedLanguage();
  }
}))();
